Subject: Re: [MMUSIC] draft-ietf-mmusic-media-path-middleboxes-04

From: Hadriel Kaplan <[email-masked]>
Date: Mon, 26 Mar 2012 07:37:24 +0000

I had some comments in here:
http://www.ietf.org/mail-archive/web/mmusic/current/msg08640.html

But not specific comments since I was confused what the purpose of the draft was - and I still am.  :)

So before providing point-by-point comments, can you explain what the purpose of publishing the draft as an Informational RFC would be?
Would we reference this RFC in future WG RFCs?
Would we expect implementors to read it for some reason?

I'm just trying to figure out if we're publishing it because (1) work has already been done and RFC numbers are free, or if it's because (2) we/others need it or think we might need it for something in the future.
If it's the former reason #1, I'm cool with that and sure publish it as is.
If it's the latter reason #2, then I'll review it during WGLC but I think it has issues and is already out of date.

-hadriel
p.s. and I'm not trying to be mean or difficult - there are a lot of drafts written for informational purposes for a limited period of time, that really don't need to be published as RFCs forever - I submit a lot of I-Ds like that for example.

On Jan 30, 2012, at 8:22 AM, Gonzalo Salgueiro wrote:

Folks: Pursuant to the discussions we had on the list regarding the completion of the middlebox interactions draft [1], I have released -04 of the Middlebox Interactions draft. It is available in the archives [2].

This version includes the comments of the reviewers assigned by the WG chairs.

More specifically the major changes in this version are:

 1) Added an additional preliminary recommendation (REC #5);
 2) Updated references;
 3) Variety of minor edits, nits, and grammatical issues;

The diff between -03 and -04 is available at [3].

[1] http://www.ietf.org/mail-archive/web/mmusic/current/msg08558.html
[2] http://tools.ietf.org/html/draft-ietf-mmusic-media-path-middleboxes-04
[3] http://tools.ietf.org/rfcdiff?url2=draft-ietf-mmusic-media-path-middleboxes-04.txt

Consensus from the reviewers is that this "draft looks to be in a good shape" and is "quite readable and useful". There was some discussion around the possibility of changing the terminology from "SIP ALG" to something like "SIP proxy" or "SIP user agent" or "SIP B2BUA". There were various differing viewpoints and consensus was not reached.

Thank you all for review comments and feedback.

Regards,

- Gonzalo
_______________________________________________
mmusic mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/mmusic